Bug 995289 - sunplus technology Co., Ltd webcam doesn't run
sunplus technology Co., Ltd webcam doesn't run
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
ia64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 21:02 EDT by Marcelo Mauro de Oliveira
Modified: 2013-10-08 12:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:28:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcelo Mauro de Oliveira 2013-08-08 21:02:31 EDT
Description of problem:

Webcam doesn't activate in any way. Cheese doesn't warning about webcam missing but any photo or image is generated.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

with lsusb I got this:

Bus 001 Device 004: ID 04fc:2001 Sunplus Technology Co., Ltd 

with modprobe -c | grep "04FC"

alias hid:b0003g*v000004FCp000005D8 hid_sunplus
alias usb:v04FCp0201d*dc*dsc*dp*ic*isc*ip*in* spcp8x5
alias usb:v04FCp0204d*dc*dsc*dp*ic*isc*ip*in* spcp8x5
alias usb:v04FCp0231d*dc*dsc*dp*ic*isc*ip*in* spcp8x5
alias usb:v04FCp0235d*dc*dsc*dp*ic*isc*ip*in* spcp8x5
alias usb:v04FCp0561d*dc*dsc*dp*ic*isc*ip*in* gspca_spca561
alias usb:v04FCp1528d*dc*dsc*dp*ic*isc*ip*in* gspca_spca1528
alias usb:v04FCp500Cd*dc*dsc*dp*ic*isc*ip*in* gspca_sunplus
alias usb:v04FCp504Ad*dc*dsc*dp*ic*isc*ip*in* gspca_sunplus
alias usb:v04FCp504Bd*dc*dsc*dp*ic*isc*ip*in* gspca_sunplus
alias usb:v04FCp5330d*dc*dsc*dp*ic*isc*ip*in* gspca_sunplus
alias usb:v04FCp5360d*dc*dsc*dp*ic*isc*ip*in* gspca_sunplus
alias usb:v04FCp7333d*dc*dsc*dp*ic*isc*ip*in* gspca_spca500
alias usb:v04FCp80C2d0100dc*dsc*dp*ic*isc*ip*in* usb_storage
alias usb:v04FCpFFFFd*dc*dsc*dp*ic*isc*ip*in* gspca_sunplus

with lsmod


Module                  Size  Used by
tcp_lp                 12663  0 
gspca_spca500          17665  0 
gspca_sunplus          22103  0 
gspca_spca1528         13244  0 
gspca_spca561          18110  0 
gspca_main             36313  4 gspca_spca500,gspca_spca561,gspca_spca1528,gspca_sunplus
spcp8x5                13341  0 
fuse                   82599  3 
ebtable_nat            12807  0 
bnep                   19704  2 
bluetooth             362314  7 bnep
nf_conntrack_netbios_ns    12665  0 
nf_conntrack_broadcast    12527  1 nf_conntrack_netbios_ns
ipt_MASQUERADE         12880  1 
ip6table_nat           13015  1 
nf_nat_ipv6            13213  1 ip6table_nat
ip6table_mangle        12700  1 
ip6t_REJECT            12939  2 
nf_conntrack_ipv6      18782  24 
nf_defrag_ipv6         34589  1 nf_conntrack_ipv6
iptable_nat            13011  1 
nf_nat_ipv4            13199  1 iptable_nat
nf_nat                 25743  5 ipt_MASQUERADE,nf_nat_ipv4,nf_nat_ipv6,ip6table_nat,iptable_nat
iptable_mangle         12695  1 
nf_conntrack_ipv4      14808  20 
nf_defrag_ipv4         12673  1 nf_conntrack_ipv4
xt_conntrack           12760  42 
nf_conntrack           86430  11 nf_conntrack_netbios_ns,ipt_MASQUERADE,nf_nat,nf_nat_ipv4,nf_nat_ipv6,xt_conntrack,ip6table_nat,nf_conntrack_broadcast,iptable_nat,nf_conntrack_ipv4,nf_conntrack_ipv6
ebtable_filter         12827  0 
ebtables               30758  2 ebtable_nat,ebtable_filter
ip6table_filter        12815  1 
ip6_tables             26808  3 ip6table_filter,ip6table_mangle,ip6table_nat
snd_usb_audio         149914  2 
snd_usbmidi_lib        24789  1 snd_usb_audio
snd_rawmidi            29393  1 snd_usbmidi_lib
arc4                   12608  2 
snd_hda_codec_hdmi     41193  1 
snd_hda_codec_realtek    47074  1 
snd_hda_intel          43836  4 
snd_hda_codec         179124  3 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_intel
snd_hwdep              17650  2 snd_usb_audio,snd_hda_codec
snd_seq                60752  0 
snd_seq_device         14136  2 snd_seq,snd_rawmidi
snd_pcm                98071  4 snd_usb_audio,snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel
acpi_cpufreq           19612  1 
mperf                  12607  1 acpi_cpufreq
snd_page_alloc         18268  2 snd_pcm,snd_hda_intel
snd_timer              28698  2 snd_pcm,snd_seq
rtl8192se              63095  0 
rtlwifi                83065  1 rtl8192se
mac80211              566043  2 rtlwifi,rtl8192se
cfg80211              465187  2 mac80211,rtlwifi
coretemp               13435  0 
uvcvideo               81017  0 
snd                    75292  24 snd_hda_codec_realtek,snd_usb_audio,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_rawmidi,snd_usbmidi_lib,snd_hda_codec,snd_hda_intel,snd_seq_device
videobuf2_vmalloc      13163  1 uvcvideo
videobuf2_memops       13161  1 videobuf2_vmalloc
videobuf2_core         38773  1 uvcvideo
kvm_intel             138528  0 
kvm                   422809  1 kvm_intel
crc32c_intel           22079  0 
videodev              121856  7 gspca_spca500,gspca_spca561,uvcvideo,gspca_spca1528,gspca_sunplus,gspca_main,videobuf2_core
media                  20503  2 uvcvideo,videodev
iTCO_wdt               13480  0 
iTCO_vendor_support    13419  1 iTCO_wdt
lpc_ich                16977  0 
mfd_core               13182  1 lpc_ich
sparse_keymap          13584  0 
rfkill                 21694  5 cfg80211,bluetooth
i2c_i801               18136  0 
soundcore              14491  1 snd
r8169                  67378  0 
mii                    13527  1 r8169
wmi                    18697  0 
intel_ips              18401  0 
serio_raw              13413  0 
microcode              23403  0 
joydev                 17332  0 
uinput                 17625  0 
binfmt_misc            17431  1 
i915                  610709  9 
i2c_algo_bit           13257  1 i915
drm_kms_helper         50210  1 i915
usb_storage            56690  2 
drm                   272504  5 i915,drm_kms_helper
i2c_core               34242  6 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit,videodev
video                  19052  1 i915
Comment 1 Josh Boyer 2013-08-15 09:29:07 EDT
Could you attach the output of dmesg after the webcam is plugged in?
Comment 2 Hans de Goede 2013-08-16 05:32:09 EDT
Hi,

I'm afraid you've managed to find a rarity, a webcam which is not supported by Linux. Doing a google search for the usb-id I cannot even find a windows driver for it.

A lot of the sunplus devices are so called dual-mode cameras. This means that you can insert a battery and take still-photos with them, which you can then later download to the PC, and/or you can use it as a webcam.

Is your camera one of these? Sometimes these have a switch / button on the camera to switch between the 2 modes, and when you switch they change usb-id, so you could try that. If you've one of these sometimes it also helps to have batteries in them, yes really!

Besides the above, what may be helpful is:
-dmesg output from inserting the camera
-lsusb -v output with the camere inserted
-a windows driver if you've one (please do not attach it to bugzilla), if you've a windows driver, try installing it under windows, it should then drop a new .inf file somewhere. See if that mentions a chip model, like ie spca505 or some such. Also try copying the .sys / .dll files from the windows driver and run strings on them and see if that gives any hints.

Note before going the windows driver route, first try the switching mode thing!

Regards,

Hans
Comment 3 Josh Boyer 2013-09-18 16:26:14 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josh Boyer 2013-10-08 12:28:33 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.